/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.extractors.polarion;

import it.eng.spago4q.extractors.bo.GenericItem;

import java.util.List;

import com.polarion.alm.ws.client.types.tracker.WorkItem;

public class BugsUtil {

	/*	TODO - Bug
		da capire come derivare questi campi:
		
		component_name character varying,
		affects_version character varying,
		fix_version character varying,
		id_update_time integer,
		update_time character varying,
	*/	
	
	public static final String TEST_CASE = "test_case";
	
	private WorkItemUtil workItemUtil;
	
	public BugsUtil(WorkItemUtil workItemUtil) {
		this.workItemUtil = workItemUtil;
	}
	
	public void setAdditionalFields(WorkItem workItem, GenericItem item, String project) {
		String  type = workItemUtil.getWorItemType(workItem);
		List<WorkItem> testFather = workItemUtil.getFather(workItem, type, project);
		
		String idFather = null;
		if (testFather.size() > 0) {
			idFather = ((WorkItem)testFather.get(0)).getId();
		}
		if (idFather != null) {
			item.setValue(TEST_CASE, idFather);
		}
	}
}
